<?php declare(strict_types=1);

namespace Infomaker\Imengine\CropData\Interfaces;

/**
 * Interface NpCropDataInterface
 *
 * @package Infomaker\Imengine\CropData\Interfaces
 */
interface NewsPilotCropDataInterface
{
    /**
     * NpCropDataInterface constructor.
     *
     * @param int $width
     * @param int $height
     */
    public function __construct(int $width, int $height);

    /**
     * @return int Width of the resulting image.
     */
    public function getWidth(): int;

    /**
     * @return int Height of the resulting image.
     */
    public function getHeight(): int;

    /**
     * @return float Horisontal start position for the soft crop, as percentage of the original image from the left.
     */
    public function getCropX(): float;

    /**
     * @return float Vertical start position for the soft crop, as percentage of the original image from the top.
     */
    public function getCropY(): float;

    /**
     * @return float Zoom of soft crop.
     */
    public function getZoom(): float;
}
